all:  midstep libmidstep.so

midstep.o: midstep.c
	gcc -o midstep.o -c midstep.c -O2 -std=c99

midstep: midstep.o
	gcc -o midstep midstep.o

libmidstep.so: midstep.o
	gcc -shared -o libmidstep.so midstep.o

clean:
	rm -f midstep.o midstep libmidstep.so
